Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.share
Interface ADFScope

All Superinterfaces:
  java.util.Map

All Known Implementing Classes:
  HashMapScopeAdapter

public interface ADFScope
extends java.util.Map

Since:
  release specific (what release of product did this appear in)

  Defines an interface for ADFScopes.

  This interface defines scope operations that are not supported by the base `Map` scope interface. These operations include: Scope invalidation, scope lifecycle notifications.

  A scope user may invalidate a scope by invoking the invalidate() operation on this interface. After an ADFScope is invalidated the scope's state will be unreachable and all cached references to the invalid ADFScope must be nulled. If a scope is used after it is invalidated it may throw a RuntimeException (InvalidStateException).

  A scope client may be notified of invalidation events by using the `addScopeListener(ADFScopeListener)` to register an invalidation listener.

Version:
  $Header: ADFScope.java 09-feb-2005.15:52:18 jsmiljan Exp $

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Method Summary
`void` | `addScopeListener(ADFScopeListener listener)`
`void` | `invalidate()`
`void` | `removeScopeListener(ADFScopeListener listener)`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### invalidate

    public void invalidate()

### addScopeListener

    public void addScopeListener(ADFScopeListener listener)

### removeScopeListener

    public void removeScopeListener(ADFScopeListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.